Chelabase
ManagementSql editor

Get a saved SQL query

GET
/v1/databases/{id}/sql-queries/{query_id}

One of the caller's saved queries, with its SQL text.

Authorization

bearer
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Database id

Formatuuid
query_id*string

Saved query id

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/databases/497f6eca-6276-4993-bfeb-53cbbbba6f08/sql-queries/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "created_at": "2019-08-24T14:15:22Z",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "pg_database": "string",  "role": "string",  "sql": "string",  "updated_at": "2019-08-24T14:15:22Z",  "version": 0}